Fluid Lend (fTokens)
Returns the list of Fluid protocol lending fTokens (vaults) with supply, TVL, APY, caps, and utilization metrics. Results can be filtered by fToken address, underlying token, chain, minimum TVL, and borrowable status.
GET
https://api.cambrian.org/evm/lending/fluid/lend
Parameters
address (string)
Fluid lending ftoken address
underlying_address (string)
Underlying token address. See tokens for valid addresses.
chain_id (integer)
EVM chain ID.
min_tvl_usd (integer)
Minimum TVL Usd of the lending vault
borrowable (boolean)
If true, only lending vaults with borrowing enabled will be returned
limit (integer)
Limit the number of results.
offset (integer)
Offset the results, allows you to skip a number of rows before starting to return rows.
order_asc (array)
List of column names to order by in ascending order divided by comma. Leave empty items to combine with descending order
order_desc (array)
List of column names to order by in descending order divided by comma. Leave empty items to combine with ascending order
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt16"
},
{
"name": "protocolId",
"type": "String"
},
{
"name": "address",
"type": "String"
},
{
"name": "symbol",
"type": "Nullable(String)"
},
{
"name": "name",
"type": "Nullable(String)"
},
{
"name": "underlyingAddress",
"type": "Nullable(FixedString(42))"
},
{
"name": "underlyingSymbol",
"type": "String"
},
{
"name": "supply",
"type": "Float64"
},
{
"name": "supplyUsd",
"type": "Float64"
},
{
"name": "borrow",
"type": "Nullable(Float64)"
},
{
"name": "borrowUsd",
"type": "Nullable(Float64)"
},
{
"name": "tvlUsd",
"type": "Float64"
},
{
"name": "availableLiquidityUsd",
"type": "Nullable(Float64)"
},
{
"name": "supplyCap",
"type": "Nullable(Float64)"
},
{
"name": "supplyCapUsd",
"type": "Nullable(Float64)"
},
{
"name": "borrowCap",
"type": "Nullable(Float64)"
},
{
"name": "borrowCapUsd",
"type": "Nullable(Float64)"
},
{
"name": "remainingCapacityUsd",
"type": "Nullable(Float64)"
},
{
"name": "supplyApy",
"type": "Nullable(Float64)"
},
{
"name": "borrowApy",
"type": "Nullable(Float64)"
},
{
"name": "netSupplyApy",
"type": "Nullable(Float64)"
},
{
"name": "performanceFee",
"type": "Nullable(Float64)"
},
{
"name": "managementFee",
"type": "Nullable(Float64)"
},
{
"name": "utilizationRate",
"type": "Nullable(Float64)"
},
{
"name": "ltv",
"type": "Nullable(Float64)"
},
{
"name": "borrowable",
"type": "Bool"
},
{
"name": "depositEnabled",
"type": "Bool"
},
{
"name": "updatedAt",
"type": "DateTime('UTC')"
}
],
"data": [
[
8453,
"fluid-lend",
"0xf42f5795d9ac7e9d757db633d693cd548cfd9169",
"fUSDC",
"Fluid USD Coin",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
9643067.68371015,
9643067.68371015,
null,
null,
9643067.68371015,
null,
null,
null,
null,
null,
null,
0.06400295164364347,
null,
0.06400295164364347,
null,
null,
null,
null,
false,
true,
"2026-10-07T13:50:01+00:00"
],
[
8453,
"fluid-lend",
"0x1943fa26360f038230442525cf1b9125b5dcb401",
"fEURC",
"Fluid EURC",
"0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
"EURC",
1129164.9133324483,
1263092.382910279,
null,
null,
1263092.382910279,
null,
null,
null,
null,
null,
null,
0.0269250374242197,
null,
0.0269250374242197,
null,
null,
null,
null,
false,
true,
"2026-10-07T13:11:25+00:00"
],
[
8453,
"fluid-lend",
"0x8ddbffa3cfda2355a23d6b11105ac624bdbe3631",
"fGHO",
"Fluid Gho Token",
"0x6bb7a212910682dcfdbd5bcbb3e28fb4e8da10ee",
"GHO",
447803.2318686857,
447383.9032497672,
null,
null,
447383.9032497672,
null,
null,
null,
null,
null,
null,
0.038664391971331945,
null,
0.038664391971331945,
null,
null,
null,
null,
false,
true,
"2026-10-06T23:21:47+00:00"
],
[
8453,
"fluid-lend",
"0x896e39f0e9af61eca9dd2938e14543506ef2c2b5",
"fwstETH",
"Fluid Wrapped liquid staked Ether 2.0",
"0xc1cba3fcea344f92d9239c08c0568f6f2f0ee452",
"wstETH",
54.926916449865246,
175803.01662668478,
null,
null,
175803.01662668478,
null,
null,
null,
null,
null,
null,
0.0008068335455547938,
null,
0.0008068335455547938,
null,
null,
null,
null,
false,
true,
"2026-10-07T13:47:09+00:00"
],
[
8453,
"fluid-lend",
"0xf62e339f21d8018940f188f6987bcdf02a849619",
"fsUSDS",
"Fluid Savings USDS",
"0x5875eee11cf8398102fdad704c9e96607675467a",
"sUSDS",
3561.9663123633977,
3906.76921692404,
null,
null,
3906.76921692404,
null,
null,
null,
null,
null,
null,
0,
null,
0,
null,
null,
null,
null,
false,
true,
"2026-10-05T01:42:43+00:00"
]
],
"rows": 5
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. List Fluid lend ftokens on Base
Fetches Fluid lending fTokens using the default chain (Base) with results limited to 10 rows.
curl
curl -X GET "https://api.cambrian.org/evm/lending/fluid/lend?limit=10" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "address",
14 "type": "String"
15 },
16 {
17 "name": "symbol",
18 "type": "Nullable(String)"
19 },
20 {
21 "name": "name",
22 "type": "Nullable(String)"
23 },
24 {
25 "name": "underlyingAddress",
26 "type": "Nullable(FixedString(42))"
27 },
28 {
29 "name": "underlyingSymbol",
30 "type": "String"
31 },
32 {
33 "name": "supply",
34 "type": "Float64"
35 },
36 {
37 "name": "supplyUsd",
38 "type": "Float64"
39 },
40 {
41 "name": "borrow",
42 "type": "Nullable(Float64)"
43 },
44 {
45 "name": "borrowUsd",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "tvlUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "availableLiquidityUsd",
54 "type": "Nullable(Float64)"
55 },
56 {
57 "name": "supplyCap",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "supplyCapUsd",
62 "type": "Nullable(Float64)"
63 },
64 {
65 "name": "borrowCap",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "borrowCapUsd",
70 "type": "Nullable(Float64)"
71 },
72 {
73 "name": "remainingCapacityUsd",
74 "type": "Nullable(Float64)"
75 },
76 {
77 "name": "supplyApy",
78 "type": "Nullable(Float64)"
79 },
80 {
81 "name": "borrowApy",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "netSupplyApy",
86 "type": "Nullable(Float64)"
87 },
88 {
89 "name": "performanceFee",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "managementFee",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "utilizationRate",
98 "type": "Nullable(Float64)"
99 },
100 {
101 "name": "ltv",
102 "type": "Nullable(Float64)"
103 },
104 {
105 "name": "borrowable",
106 "type": "Bool"
107 },
108 {
109 "name": "depositEnabled",
110 "type": "Bool"
111 },
112 {
113 "name": "updatedAt",
114 "type": "DateTime('UTC')"
115 }
116 ],
117 "data": [
118 [
119 8453,
120 "fluid-lend",
121 "0xf42f5795d9ac7e9d757db633d693cd548cfd9169",
122 "fUSDC",
123 "Fluid USD Coin",
124 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
125 "USDC",
126 9643067.68371015,
127 9643067.68371015,
128 null,
129 null,
130 9643067.68371015,
131 null,
132 null,
133 null,
134 null,
135 null,
136 null,
137 0.06400295164364347,
138 null,
139 0.06400295164364347,
140 null,
141 null,
142 null,
143 null,
144 false,
145 true,
146 "2026-10-07T13:50:01+00:00"
147 ],
148 [
149 8453,
150 "fluid-lend",
151 "0x1943fa26360f038230442525cf1b9125b5dcb401",
152 "fEURC",
153 "Fluid EURC",
154 "0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
155 "EURC",
156 1129164.9133324483,
157 1263092.382910279,
158 null,
159 null,
160 1263092.382910279,
161 null,
162 null,
163 null,
164 null,
165 null,
166 null,
167 0.0269250374242197,
168 null,
169 0.0269250374242197,
170 null,
171 null,
172 null,
173 null,
174 false,
175 true,
176 "2026-10-07T13:11:25+00:00"
177 ],
178 [
179 8453,
180 "fluid-lend",
181 "0x8ddbffa3cfda2355a23d6b11105ac624bdbe3631",
182 "fGHO",
183 "Fluid Gho Token",
184 "0x6bb7a212910682dcfdbd5bcbb3e28fb4e8da10ee",
185 "GHO",
186 447803.2318686857,
187 447383.9032497672,
188 null,
189 null,
190 447383.9032497672,
191 null,
192 null,
193 null,
194 null,
195 null,
196 null,
197 0.038664391971331945,
198 null,
199 0.038664391971331945,
200 null,
201 null,
202 null,
203 null,
204 false,
205 true,
206 "2026-10-06T23:21:47+00:00"
207 ],
208 [
209 8453,
210 "fluid-lend",
211 "0x896e39f0e9af61eca9dd2938e14543506ef2c2b5",
212 "fwstETH",
213 "Fluid Wrapped liquid staked Ether 2.0",
214 "0xc1cba3fcea344f92d9239c08c0568f6f2f0ee452",
215 "wstETH",
216 54.926916449865246,
217 175803.01662668478,
218 null,
219 null,
220 175803.01662668478,
221 null,
222 null,
223 null,
224 null,
225 null,
226 null,
227 0.0008068335455547938,
228 null,
229 0.0008068335455547938,
230 null,
231 null,
232 null,
233 null,
234 false,
235 true,
236 "2026-10-07T13:47:09+00:00"
237 ],
238 [
239 8453,
240 "fluid-lend",
241 "0xf62e339f21d8018940f188f6987bcdf02a849619",
242 "fsUSDS",
243 "Fluid Savings USDS",
244 "0x5875eee11cf8398102fdad704c9e96607675467a",
245 "sUSDS",
246 3561.9663123633977,
247 3906.76921692404,
248 null,
249 null,
250 3906.76921692404,
251 null,
252 null,
253 null,
254 null,
255 null,
256 null,
257 0,
258 null,
259 0,
260 null,
261 null,
262 null,
263 null,
264 false,
265 true,
266 "2026-10-05T01:42:43+00:00"
267 ]
268 ],
269 "rows": 5
270 }
271]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "address",
14 "type": "String"
15 },
16 {
17 "name": "symbol",
18 "type": "Nullable(String)"
19 },
20 {
21 "name": "name",
22 "type": "Nullable(String)"
23 },
24 {
25 "name": "underlyingAddress",
26 "type": "Nullable(FixedString(42))"
27 },
28 {
29 "name": "underlyingSymbol",
30 "type": "String"
31 },
32 {
33 "name": "supply",
34 "type": "Float64"
35 },
36 {
37 "name": "supplyUsd",
38 "type": "Float64"
39 },
40 {
41 "name": "borrow",
42 "type": "Nullable(Float64)"
43 },
44 {
45 "name": "borrowUsd",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "tvlUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "availableLiquidityUsd",
54 "type": "Nullable(Float64)"
55 },
56 {
57 "name": "supplyCap",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "supplyCapUsd",
62 "type": "Nullable(Float64)"
63 },
64 {
65 "name": "borrowCap",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "borrowCapUsd",
70 "type": "Nullable(Float64)"
71 },
72 {
73 "name": "remainingCapacityUsd",
74 "type": "Nullable(Float64)"
75 },
76 {
77 "name": "supplyApy",
78 "type": "Nullable(Float64)"
79 },
80 {
81 "name": "borrowApy",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "netSupplyApy",
86 "type": "Nullable(Float64)"
87 },
88 {
89 "name": "performanceFee",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "managementFee",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "utilizationRate",
98 "type": "Nullable(Float64)"
99 },
100 {
101 "name": "ltv",
102 "type": "Nullable(Float64)"
103 },
104 {
105 "name": "borrowable",
106 "type": "Bool"
107 },
108 {
109 "name": "depositEnabled",
110 "type": "Bool"
111 },
112 {
113 "name": "updatedAt",
114 "type": "DateTime('UTC')"
115 }
116 ],
117 "data": [
118 [
119 8453,
120 "fluid-lend",
121 "0xf42f5795d9ac7e9d757db633d693cd548cfd9169",
122 "fUSDC",
123 "Fluid USD Coin",
124 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
125 "USDC",
126 9643067.68371015,
127 9643067.68371015,
128 null,
129 null,
130 9643067.68371015,
131 null,
132 null,
133 null,
134 null,
135 null,
136 null,
137 0.06400295164364347,
138 null,
139 0.06400295164364347,
140 null,
141 null,
142 null,
143 null,
144 false,
145 true,
146 "2026-10-07T13:50:01+00:00"
147 ],
148 [
149 8453,
150 "fluid-lend",
151 "0x1943fa26360f038230442525cf1b9125b5dcb401",
152 "fEURC",
153 "Fluid EURC",
154 "0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
155 "EURC",
156 1129164.9133324483,
157 1263092.382910279,
158 null,
159 null,
160 1263092.382910279,
161 null,
162 null,
163 null,
164 null,
165 null,
166 null,
167 0.0269250374242197,
168 null,
169 0.0269250374242197,
170 null,
171 null,
172 null,
173 null,
174 false,
175 true,
176 "2026-10-07T13:11:25+00:00"
177 ],
178 [
179 8453,
180 "fluid-lend",
181 "0x8ddbffa3cfda2355a23d6b11105ac624bdbe3631",
182 "fGHO",
183 "Fluid Gho Token",
184 "0x6bb7a212910682dcfdbd5bcbb3e28fb4e8da10ee",
185 "GHO",
186 447803.2318686857,
187 447383.9032497672,
188 null,
189 null,
190 447383.9032497672,
191 null,
192 null,
193 null,
194 null,
195 null,
196 null,
197 0.038664391971331945,
198 null,
199 0.038664391971331945,
200 null,
201 null,
202 null,
203 null,
204 false,
205 true,
206 "2026-10-06T23:21:47+00:00"
207 ],
208 [
209 8453,
210 "fluid-lend",
211 "0x896e39f0e9af61eca9dd2938e14543506ef2c2b5",
212 "fwstETH",
213 "Fluid Wrapped liquid staked Ether 2.0",
214 "0xc1cba3fcea344f92d9239c08c0568f6f2f0ee452",
215 "wstETH",
216 54.926916449865246,
217 175803.01662668478,
218 null,
219 null,
220 175803.01662668478,
221 null,
222 null,
223 null,
224 null,
225 null,
226 null,
227 0.0008068335455547938,
228 null,
229 0.0008068335455547938,
230 null,
231 null,
232 null,
233 null,
234 false,
235 true,
236 "2026-10-07T13:47:09+00:00"
237 ],
238 [
239 8453,
240 "fluid-lend",
241 "0xf62e339f21d8018940f188f6987bcdf02a849619",
242 "fsUSDS",
243 "Fluid Savings USDS",
244 "0x5875eee11cf8398102fdad704c9e96607675467a",
245 "sUSDS",
246 3561.9663123633977,
247 3906.76921692404,
248 null,
249 null,
250 3906.76921692404,
251 null,
252 null,
253 null,
254 null,
255 null,
256 null,
257 0,
258 null,
259 0,
260 null,
261 null,
262 null,
263 null,
264 false,
265 true,
266 "2026-10-05T01:42:43+00:00"
267 ]
268 ],
269 "rows": 5
270 }
271]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/fluid/lend"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/fluid/lend"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/fluid/lend")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/fluid/lend")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request